#ifndef ublox
#define ublox
#include "main.h"
typedef struct{
    uint16_t year;
    uint8_t month;
    uint8_t day;
    uint8_t hour;
    uint8_t min;
    uint8_t sec;
    uint8_t num_of_sat;
    int32_t longitude; // multiply by 10^-7 to get value in deg
    int32_t latitude; // multiply by 10^-7 to get value in deg
    int32_t height_sea_lvl; // in mm , divide by 1000 to get value in meters
}GPS_Data_t;

extern UART_HandleTypeDef huart3;

void UBLOX_init();
void UBLOX_get_data_from_buff(GPS_Data_t * GPS_Data_pointer);
void UBLOX_receive(void);

#define GPS_Uart_Inst huart3

#endif
